## ros-galactic-diagnostic-updater 2.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(diagnostic_updater)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(diagnostic_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclpy REQUIRED)
find_package(std_msgs REQUIRED)

add_executable(example src/example.cpp)
target_include_directories(example
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(
  example
  "diagnostic_msgs"
  "rclcpp"
  "std_msgs"
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(rclcpp_lifecycle REQUIRED)
  ament_add_gtest(diagnostic_updater_test test/diagnostic_updater_test.cpp)
  target_include_directories(diagnostic_updater_test
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
  )
  ament_target_dependencies(
    diagnostic_updater_test
    "diagnostic_msgs"
    "rclcpp"
    "rclcpp_lifecycle"
    "std_msgs"
  )

  find_package(ament_cmake_pytest REQUIRED)
  ament_add_pytest_test(diagnostic_updater_test.py "test/diagnostic_updater_test.py")
  ament_add_pytest_test(test_DiagnosticStatusWrapper.py "test/test_diagnostic_status_wrapper.py")
endif()

ament_python_install_package(${PROJECT_NAME})
install(
  FILES ${PROJECT_NAME}/example.py
  DESTINATION lib/${PROJECT_NAME}
)

install(
  TARGETS example
  DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)
ament_export_dependencies(ament_cmake)
ament_export_dependencies(ament_cmake_python)
ament_export_dependencies(diagnostic_msgs)
ament_export_dependencies(rclcpp)
ament_export_dependencies(rclpy)
ament_export_dependencies(std_msgs)

ament_package()

=== debian/changelog ===
ros-galactic-diagnostic-updater (2.1.3-1focal) focal; urgency=high

  * Time Diagnostics can be used with Simulated Time. (#201 <https://github.com/ros/diagnostics/issues/201>)
  * Contributors: Marco Lampacrescia

 -- Austin Hendrix <namniart@gmail.com>  Tue, 03 Aug 2021 07:00:00 -0000

ros-galactic-diagnostic-updater (2.1.2-1focal) focal; urgency=high

  * Replace every byte creation instance. (#184 <https://github.com/ros/diagnostics/issues/184>)
  * Enable multiple tasks publishing for diagnostic updater. (#182 <https://github.com/ros/diagnostics/issues/182>)
  * Contributors: BasVolkers

 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Mar 2021 08:00:00 -0000

ros-galactic-diagnostic-updater (2.1.1-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 Jan 2021 08:00:00 -0000

ros-galactic-diagnostic-updater (2.1.0-1focal) focal; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Contributors: Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Tue, 12 Jan 2021 08:00:00 -0000

ros-galactic-diagnostic-updater (2.0.2-1focal) focal; urgency=high

  * 2.0.2
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * generate changelog
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * Re-add leading character to node name (#109 <https://github.com/ros/diagnostics/issues/109>)
    The ROS 2 API is giving us the node name without a leading slash.
  * Ros2 migrate diagnostic aggregator (#118 <https://github.com/ros/diagnostics/issues/118>)
    * Removed AMENT_IGNORE and uncrustified
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Started migration of c++ API
    * To be done: logging, assertions, parameter handling
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Started migration of python tests
    * Started migration of analyzer group
    * Migrated from XMLRPC to ROS2 parameters parsing
    * Doesn't create working analzers, yet
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Migrated analyzers plugin
    * Split anaylzers into seperate plugin lib
    * Build shared lib to be used by plugin class loader
    * Fixed plugin registration of analyzers
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Analyzer group correctly setting up analyzers
    * Improved parameter handling of generic_analyzer
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * API migration to ROS2 c++ + logging
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * uncrustified
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Reworked analyzer paths and names
    * Separate handling of the analyzer's (and analyzer group's):
    ** "nice" name
    ** path (path of their results in the robot monitor)
    ** breadcrumb (prefix of their yaml configuration)
    * Logging
    * Uncrustify
    * Examples
    * Less strict cpplint
    * removed using namespace
    * Fixes complation of analyzer group test
    * Removed dependency to boost
    * Using std::mutex instead of boost::mutex. Using std::lock_guard
    instead of boost::scoped_lock since std::scoped_lock was not introduced before C++17
    * Using std::regex instead of boost::regex
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Alphabetical order of includes and dependencies
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Adopted suggestions from review by @Karsten1987
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Minor improvements
    * Using unique_ptrs instead of plain c pointers
    * Simplifying loops
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * use class logger variable
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * make linter tests pass
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * bring back variable names and (void) them
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * linters
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * Aggregator demo launch
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Adds launch-based test
    * Adds launch-based test, starting aggregator with a yaml configuration
    * Test is not yet working, something wrong with process orchestration
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * One passing test
    * One passing test, just looking for output of the bond statemachine
    * One failing test, looking for the actual analyzer output we want to
    test for
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Short documentation of the demo
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * minor fixes
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Working tests for analyzer creation from yaml
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Cleanup, we don't need lifecycle (yes)
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * linters
    * Fixed tests
    * launch testing now working withou previous stdcout hack
    * deleted deprecated (not working) tests
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * - QOS config in python demo publisher
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * fix install location, necessary for eloquent
    * fix undefined behaviour when parameters are kept as default
    * CMakeLists.txt touchup for OSX
    Signed-off-by: Karsten Knese <karsten.knese@us.bosch.com>
    * Moved 'Demo' to 'Example'
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Cleanup
    * Removed non-ported python parts (blocked by bondpy port)
    * Uncrustify, cpplint
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * enhance github actions for diagnostic_aggregator package


=== debian/control ===
Source: ros-galactic-diagnostic-updater
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-cmake-pytest, ros-galactic-ament-cmake-python, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-diagnostic-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-rclpy, ros-galactic-std-msgs, ros-galactic-ros-workspace
Homepage: http://www.ros.org/wiki/diagnostic_updater
Standards-Version: 3.9.2

Package: ros-galactic-diagnostic-updater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-diagnostic-msgs, ros-galactic-rclcpp, ros-galactic-rclpy, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: diagnostic_updater contains tools for easily updating diagnostics.
 it is commonly used in device drivers to keep track of the status of output topics, device status, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-diagnostic-updater//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
